package poc.kiedemo2;

import org.apache.camel.LoggingLevel;
import org.apache.camel.builder.RouteBuilder;

public class CamelRouteBuilder extends RouteBuilder {

    public final static String LOGGER_ID = "POC-KIEDEMO";

    public void configure() {

        // HTTP TRIGGER
        from("jetty:http://0.0.0.0:8080/kiedemo2/trigger?matchOnUriPrefix=true")
            .id("POCKIEDEMO-http-trigger")
            .log(LoggingLevel.INFO, LOGGER_ID, " Triggered by HTTP call ")
            .to("seda:park");

        // MAIN
        from("seda:park")
            .id("POCKIEDEMO-park")
            .setBody( simple("TEST BODY") )
            .log(LoggingLevel.INFO, LOGGER_ID, "=========== BEFORE :  ${body}")
            .to("kie:ksession3?action=insertBody")
            .log(LoggingLevel.INFO, LOGGER_ID, "=========== AFTER :  ${body}");

    }

}

