package poc.demokie2;

import org.drools.simulation.fluent.simulation.impl.DefaultSimulationFluent;
import org.junit.Before;
import org.junit.Test;
import org.kie.api.builder.ReleaseId;
import org.kie.api.io.ResourceType;
import poc.demokie2.framework.SimulateTestBase;

import java.io.*;
import java.util.HashMap;
import java.util.Map;

public class BasicTest extends SimulateTestBase {

    ReleaseId releaseId;

    @Before
    public void prepareEnvironment() throws IOException{

        Map filenamesAndTypes = new HashMap();
        filenamesAndTypes.put("/rules2/Basic.drl", ResourceType.DRL);
        releaseId = createKJarFromResources("KBase1", filenamesAndTypes);
    }

    @Test
    public void genericTest() throws IOException {

        String value = "TEST BODY";

        // @formatter:off
        new DefaultSimulationFluent()
        .newKieSession(releaseId, "KBase1.KSession1")
            .insert(value).set("value")
            .fireAllRules()
            .assertRuleFired("Generic Test 2", 1)
            .end()
        .runSimulation();
        // @formatter:on
    }
}